Bug 1312886 - Flannel service fails on reboot
Flannel service fails on reboot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: flannel (Show other bugs)
23
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 07:51 EST by Suraj Deshmukh
Modified: 2016-04-06 13:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: flannel-0.5.5-3.fc23.src.rpm flannel-0.5.5-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 13:21:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suraj Deshmukh 2016-02-29 07:51:42 EST
Description of problem: flanneld service fails to start when restarting the Fedora 23 cloud Vagrant Box.


Version-Release number of selected component (if applicable):

flanneld - 0.5.4
fedora/23-cloud-base vagrant box


How reproducible:

Easily reproducible

Steps to Reproduce:

(pre-requisite = start etcd service on some other machine, here: 192.168.121.45)

1. Get a fedora/23-cloud-base vagrant box and start it.
2. Install flannel using dnf
3. Do configuration of flannel in /etc/sysconfig/flanneld as following

    [root@fedminion2 ~]# cat /etc/sysconfig/flanneld 
    FLANNEL_ETCD="http://192.168.121.45:2379"
    FLANNEL_ETCD_KEY="/fedmaster/network"


4. enable the flannel service to autostart using systemctl
5. exit out of the box, halt it and do vagrant up again.
6. Once inside the machine check the status of flanneld service.

Actual results:

The service fails as:
**Failed to get default interface: Unable to find default route**
This is also reported at http://ask.projectatomic.io/en/question/3553/flanneld-fails-when-vm-starts/

Expected results:

The service should start

Additional info:

I fixed this problem by changing the value in "/usr/lib/systemd/system/flanneld.service" of "After=network.target" to "After=network-online.target"
Comment 1 Jan Chaloupka 2016-03-01 06:43:33 EST
Hi Suraj,

thanks for reporting. I am rebasing to 0.5.5 as the fix is already there.

Regards
Jan
Comment 2 Fedora Update System 2016-03-01 06:56:57 EST
flannel-0.5.5-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1a04be5e61
Comment 3 Suraj Deshmukh 2016-03-01 07:30:12 EST
Thanks Jan.
Comment 4 Fedora Update System 2016-03-02 07:52:49 EST
flannel-0.5.5-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1a04be5e61
Comment 5 Fedora Update System 2016-04-06 13:21:16 EDT
flannel-0.5.5-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.